For the complete documentation index, see llms.txt. This page is also available as Markdown.

Activate the rule with the specified ID

Activates schema rule.

put

Activates schema rule for the specified rule ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ruleIdstringRequired

Schema Rule Identifier

Example: 000000000000000000000001
Responses
200

Successful operation.

application/json
idstringOptionalExample: 000000000000000000000001
uuidstringOptionalExample: 00000000-0000-0000-0000-000000000000
namestringRequiredExample: Tool name
descriptionstringOptionalExample: Description
creatorstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
ownerstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
policyIdstringOptionalExample: 000000000000000000000001
policyTopicIdstringOptionalExample: 0.0.1
policyInstanceTopicIdstringOptionalExample: 0.0.1
statusstring Β· enumOptionalExample: DRAFTPossible values:
configobject Β· nullableOptional
put/schema-rules/{ruleId}/activate
PUT /api/v1/schema-rules/{ruleId}/activate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "000000000000000000000001",
  "uuid": "00000000-0000-0000-0000-000000000000",
  "name": "Tool name",
  "description": "Description",
  "creator": "#did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001",
  "owner": "#did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001",
  "policyId": "000000000000000000000001",
  "policyTopicId": "0.0.1",
  "policyInstanceTopicId": "0.0.1",
  "status": "DRAFT",
  "config": {}
}

Last updated